
.courses-section {
    scroll-margin-top: 90px;
    background-color: #121212; 
    color: #ffffff; 
    padding: 50px 20px;
    text-align: center;
    margin-top: -60px ;
}
.section-header h1 {
    font-size: 3.5rem;
    font-weight: 700;
    color:#FFFFFF; 
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: 3px;
    text-shadow: 2px 2px 6px rgba(0, 0, 0, 0.6);
}
.section-header p {
    font-size: 1.2rem;
    color: #bbb; 
    margin-bottom: 40px;
}
.courses-card-container {
    display: flex;
    justify-content: center;
    gap: 60px;
    flex-wrap: wrap;
    margin-top: 20px;
}

/* Individual Course Cards */
.course-card {
    
    background-color: #1c1c1c; 
    border-radius: 12px;
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.4);
    padding: 20px;
    width: 290px;
    text-align: center;
   /* margin: 50px; */
    transition: transform 0.3s ease, box-shadow 0.3s ease, opacity 0.3s ease;
    cursor: pointer;
    margin-bottom: 30px;
    border: 1px solid #333; 
    opacity: 1; 
    animation: fadeInUp 0.8s ease-out forwards; 
   
}



.course-card:hover {
    transform: scale(1.05); 
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.6);

    transform: translateY(-10px);
    box-shadow: 0px 2px 10px #800000;
}


.course-card h2 {
    font-size: 1.7rem;
    font-weight: 600;
    color:#e60000; 
    color: #ffffff; 
    margin-bottom: 10px;
}

.course-card h2  img{
    color: red;
    width: 50px;
     
}
/* Course Card Description */
.course-card p {
    font-size: 1rem;
    color: #ccc; 
    margin-bottom: 15px;
}

/* Learn More Button */
.button {
    display: inline-block;
    padding: 12px 25px;
    font-size: 1.1rem;
    color: #ffffff;
    background-color: #e60000;
    text-decoration: none;
    border-radius: 8px;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.button:hover {
    background-color: #800000; 
    transform: translateY(-2px);
}


@media (max-width: 1024px) {
    .courses-card-container {
        gap: 30px; 
    }
    .course-card {
        width: 90%; 
        animation: fadeInUp 0.8s ease-out forwards; 
    }
    .course-card p {
        font-size: 16px;
    }
}

@media (max-width: 768px) {
    .courses-section {
        padding: 30px 15px;
        scroll-margin-top: 70px;
    }

    .section-header h1 {
        font-size: 2.4rem;
    }

    .section-header p {
        font-size: 1rem;
    }

    .courses-card-container {
        flex-direction: column;
        align-items: center;
    }

    .course-card {
        width: 90%; 
        animation: fadeInUpMobile 0.8s ease-out forwards;
    }
    .course-card p{
        font-size: 0.8rem;
    }
    
}


@keyframes fadeInUpMobile {
    0% {
        opacity: 0;
        transform: scale(0.8);
    }
    100% {
        opacity: 1;
        transform: scale(1); 
    }
}
